Phone Numbers
Phone numbers linked to relations and contacts. Accessed via navigation properties on Relation or Contact entities.
Endpoints
List
GET
/v1/odata/PhoneNumberGet by ID
GET
/v1/odata/PhoneNumber({id})Create
POST
/v1/odata/PhoneNumberUpdate
PUT
/v1/odata/PhoneNumber({id})Delete
DELETE
/v1/odata/PhoneNumber({id})Fields
| Field | Type | Description |
|---|---|---|
PhoneNumber | String | Phone number value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Contact | Relationship.Person.Contact | N:1 | Contact relationship |
| Relation | Relation | N:1 | Parent relation |
| PhoneNumberType | Datastore.PhoneNumberType | N:1 | Phone number type |
Expanding Relationships
GET
/v1/odata/PhoneNumber({id})?$expand=ContactNavigating Relationships
GET
/v1/odata/PhoneNumber({id})/Contact